Skip to main content
Retrieve a group membership

Authorizations

Authorization
string
header
required

A Tightknit admin API key, sent as Authorization: Bearer <key>.

Path Parameters

group_membership_id
string
required

The group membership's id.

Pattern: ^gmem_[a-zA-Z0-9]{12}$

Query Parameters

expand

Repeatable. Returns the named relation inline. One of: group, profile.

Available options:
group,
profile

Response

Success

object
enum<string>
required

Always group_membership.

Available options:
group_membership
id
string
required

Unique identifier for the object.

Example:

"gmem_4k8p2n6x1vqz"

created_at
string<date-time>
required

When the object was created.

group_id
string
required

The id of the group.

Example:

"grup_7m3x9k4t8plz"

profile_id
string
required

The id of the member’s profile.

Example:

"prof_9f2b8c1d4e5a"

group
object | null

The group. Present only when group is expanded.

profile
object | null

The member’s profile. Present only when profile is expanded.